Bug 1310345 - ValueError: Cannot remove non-leaf device 'nvme0n1p5'
ValueError: Cannot remove non-leaf device 'nvme0n1p5'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:61689094f54075fa39b5e8055bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-20 12:55 EST by Ulrich Drepper
Modified: 2017-08-08 09:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:04:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (948.33 KB, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: anaconda.log (157.07 KB, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: dnf.log (17.40 KB, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: dnf.rpm.log (147 bytes, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: environ (459 bytes, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: lsblk_output (2.35 KB, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: nmcli_dev_list (1.72 KB, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: os_info (451 bytes, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: storage.log (236.91 KB, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: syslog (112.59 KB, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: ifcfg.log (2.44 KB, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: packaging.log (2.04 KB, text/plain)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details
File: program.log (79.37 KB, application/octet-stream)
2016-02-20 12:55 EST, Ulrich Drepper
no flags Details

  None (edit)
Description Ulrich Drepper 2016-02-20 12:55:06 EST
Description of problem:
Trying to remove a LUKS partition in the manual partition handling screen.  Highlighted the partition, which showed up in the "Fedora Linux 24" section, then pressed the "-" button at the bottom.

Version-Release number of selected component:
anaconda-24.12-1

The following was filed automatically by anaconda:
anaconda 24.12-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.5/site-packages/blivet/devicetree.py", line 226, in _removeDevice
    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
  File "/usr/lib/python3.5/site-packages/blivet/devicetree.py", line 317, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python3.5/site-packages/blivet/blivet.py", line 1095, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1857, in _destroy_device
    self._storage_playground.destroyDevice(device)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 137, in decorated
    return func(*args, **kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2011, in on_remove_clicked
    self._destroy_device(device)
ValueError: Cannot remove non-leaf device 'nvme0n1p5'

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-rawhide-x86_64 quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.5.0-0.rc3.git3.1.fc24.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide
Comment 1 Ulrich Drepper 2016-02-20 12:55:11 EST
Created attachment 1128826 [details]
File: anaconda-tb
Comment 2 Ulrich Drepper 2016-02-20 12:55:13 EST
Created attachment 1128827 [details]
File: anaconda.log
Comment 3 Ulrich Drepper 2016-02-20 12:55:14 EST
Created attachment 1128828 [details]
File: dnf.log
Comment 4 Ulrich Drepper 2016-02-20 12:55:15 EST
Created attachment 1128829 [details]
File: dnf.rpm.log
Comment 5 Ulrich Drepper 2016-02-20 12:55:16 EST
Created attachment 1128830 [details]
File: environ
Comment 6 Ulrich Drepper 2016-02-20 12:55:17 EST
Created attachment 1128831 [details]
File: lsblk_output
Comment 7 Ulrich Drepper 2016-02-20 12:55:18 EST
Created attachment 1128832 [details]
File: nmcli_dev_list
Comment 8 Ulrich Drepper 2016-02-20 12:55:19 EST
Created attachment 1128833 [details]
File: os_info
Comment 9 Ulrich Drepper 2016-02-20 12:55:21 EST
Created attachment 1128834 [details]
File: storage.log
Comment 10 Ulrich Drepper 2016-02-20 12:55:22 EST
Created attachment 1128835 [details]
File: syslog
Comment 11 Ulrich Drepper 2016-02-20 12:55:23 EST
Created attachment 1128836 [details]
File: ifcfg.log
Comment 12 Ulrich Drepper 2016-02-20 12:55:24 EST
Created attachment 1128837 [details]
File: packaging.log
Comment 13 Ulrich Drepper 2016-02-20 12:55:25 EST
Created attachment 1128838 [details]
File: program.log
Comment 14 Jan Kurik 2016-02-24 10:27:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Fedora End Of Life 2017-07-25 16:14:48 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-08-08 09:04:23 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.